html, body {
    margin: 0;
    padding: 0;
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.content-wrapper {
    flex: 1 0 auto; 
    width: 100%;
    
    display: flex;
    flex-direction: column; 
    align-items: center;    
    justify-content: center; 
    
    max-width: 1200px;      
    margin: 0 auto;        
    padding: 2rem 1rem;     
    box-sizing: border-box;
}

.footer {
    flex-shrink: 0; 
    margin-top: auto; 
    width: 100%;
    background-color: #445078;
    text-align: center;
}
